## ros-noetic-l3cam-ros 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(l3cam_ros)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
  genmsg
  message_generation
  dynamic_reconfigure
  sensor_msgs
  cv_bridge
)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Sensor.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  GetSensorsAvaliable.srv
  GetVersion.srv
  Initialize.srv
  Terminate.srv
  FindDevices.srv
  GetLocalServerAddress.srv
  GetDeviceStatus.srv
  GetNetworkConfiguration.srv
  ChangeNetworkConfiguration.srv
  PowerOffDevice.srv
  StartDevice.srv
  StopDevice.srv
  StartStream.srv
  StopStream.srv
  ChangePointcloudColor.srv
  ChangePointcloudColorRange.srv
  ChangeDistanceRange.srv
  SetPolarimetricCameraDefaultSettings.srv
  ChangePolarimetricCameraBrightness.srv
  ChangePolarimetricCameraBlackLevel.srv
  EnablePolarimetricCameraAutoGain.srv
  ChangePolarimetricCameraAutoGainRange.srv
  ChangePolarimetricCameraGain.srv
  EnablePolarimetricCameraAutoExposureTime.srv
  ChangePolarimetricCameraAutoExposureTimeRange.srv
  ChangePolarimetricCameraExposureTime.srv
  SetRgbCameraDefaultSettings.srv
  ChangeRgbCameraBrightness.srv
  ChangeRgbCameraContrast.srv
  ChangeRgbCameraSaturation.srv
  ChangeRgbCameraSharpness.srv
  ChangeRgbCameraGamma.srv
  ChangeRgbCameraGain.srv
  EnableRgbCameraAutoWhiteBalance.srv
  ChangeRgbCameraWhiteBalance.srv
  EnableRgbCameraAutoExposureTime.srv
  ChangeRgbCameraExposureTime.srv
  ChangeRgbCameraResolution.srv
  ChangeRgbCameraFrameRate.srv
  ChangeThermalCameraColormap.srv
  ChangeThermalCameraTemperatureFilter.srv
  EnableThermalCameraTemperatureFilter.srv
  ChangeAlliedCameraExposureTime.srv
  EnableAlliedCameraAutoExposureTime.srv
  ChangeAlliedCameraAutoExposureTimeRange.srv
  ChangeAlliedCameraGain.srv
  EnableAlliedCameraAutoGain.srv
  ChangeAlliedCameraAutoGainRange.srv
  ChangeAlliedCameraGamma.srv
  ChangeAlliedCameraSaturation.srv
  ChangeAlliedCameraHue.srv
  ChangeAlliedCameraIntensityAutoPrecedence.srv
  EnableAlliedCameraAutoWhiteBalance.srv
  ChangeAlliedCameraBalanceRatioSelector.srv
  ChangeAlliedCameraBalanceRatio.srv
  ChangeAlliedCameraBalanceWhiteAutoRate.srv
  ChangeAlliedCameraBalanceWhiteAutoTolerance.srv
  ChangeAlliedCameraIntensityControllerRegion.srv
  ChangeAlliedCameraIntensityControllerTarget.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## Generate dynamic reconfigure parameters in the 'cfg' folder
generate_dynamic_reconfigure_options(
  cfg/Network.cfg
  cfg/Pointcloud.cfg
  cfg/PolarimetricCamera.cfg
  cfg/RgbCamera.cfg
  cfg/ThermalCamera.cfg
  cfg/AlliedWideCamera.cfg
  cfg/AlliedNarrowCamera.cfg
)

###################################
## catkin specific configuration ##
###################################

catkin_package()

###########
## Build ##
###########

include_directories(
  include/${PROJECT_NAME}
  /usr/local/lib/libl3cam
  /usr/local/include/libl3cam
  ${catkin_INCLUDE_DIRS}
)

## Declare C++ executables
add_executable(${PROJECT_NAME}_node src/l3cam_ros_node.cpp)
add_executable(network_configuration src/network_configuration.cpp)
add_executable(pointcloud_configuration src/pointcloud_configuration.cpp)
add_executable(polarimetric_camera_configuration src/polarimetric_camera_configuration.cpp)
add_executable(rgb_camera_configuration src/rgb_camera_configuration.cpp)
add_executable(thermal_camera_configuration src/thermal_camera_configuration.cpp)
add_executable(allied_wide_camera_configuration src/allied_wide_camera_configuration.cpp)
add_executable(allied_narrow_camera_configuration src/allied_narrow_camera_configuration.cpp)
add_executable(pointcloud_stream src/pointcloud_stream.cpp)
add_executable(polarimetric_stream src/polarimetric_stream.cpp)
add_executable(rgb_stream src/rgb_stream.cpp)
add_executable(thermal_stream src/thermal_stream.cpp)

## Add cmake target dependencies of the executable
add_dependencies(${PROJECT_NAME}_node ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_gencpp)
add_dependencies(network_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(pointcloud_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(polarimetric_camera_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(rgb_camera_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(thermal_camera_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(allied_wide_camera_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(allied_narrow_camera_configuration ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg) 
add_dependencies(pointcloud_stream ${PROJECT_NAME}_gencpp) 
add_dependencies(polarimetric_stream ${PROJECT_NAME}_gencpp) 
add_dependencies(rgb_stream ${PROJECT_NAME}_gencpp) 
add_dependencies(thermal_stream ${PROJECT_NAME}_gencpp) 

## Specify libraries to link a library or executable target against
FIND_LIBRARY(l3cam_LIBRARIES libL3Cam.a /usr/local/lib/libl3cam/)
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(network_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(pointcloud_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(polarimetric_camera_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(rgb_camera_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(thermal_camera_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(allied_wide_camera_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(allied_narrow_camera_configuration ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(pointcloud_stream ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(polarimetric_stream ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(rgb_stream ${catkin_LIBRARIES} ${l3cam_LIBRARIES})
target_link_libraries(thermal_stream ${catkin_LIBRARIES} ${l3cam_LIBRARIES})

=== debian/changelog ===
ros-noetic-l3cam-ros (0.0.3-2focal) focal; urgency=high

  * Added allied Wide and Narrow cameras
  * Implemented default parameters
  * Bug fixes
  * Disable dynamic network configuration
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-noetic-l3cam-ros (0.0.2-2focal) focal; urgency=high

  * Args for launch files
  * Licenses
  * README
  * Library externalization
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Sun, 05 Feb 2023 23:00:00 -0000

ros-noetic-l3cam-ros (0.0.1-2focal) focal; urgency=high

  * changelog
  * gitignore
  * first commit
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Sun, 15 Jan 2023 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-l3cam-ros
Section: misc
Priority: optional
Maintainer: Adrià Subirana <adria.subi@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-l3cam-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Camera driver for Beamagine's L3Cam, based on the libL3Cam library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-l3cam-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
